# $Revision: 1.26 $, $Date: 2009/10/02 09:45:54 $
# TODO:
# - devel subpackage
Summary:	X.org input driver for joysticks
Summary(pl.UTF-8):	Sterownik wejściowy X.org dla joysticków
Name:		xorg-driver-input-joystick
Version:	1.4.99.2
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/driver/xf86-input-joystick-%{version}.tar.bz2
# Source0-md5:	29cce86738411c9f8de04375090bbbec
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-proto-inputproto-devel
BuildRequires:	xorg-proto-randrproto-devel
BuildRequires:	xorg-util-util-macros >= 0.99.2
BuildRequires:	xorg-xserver-server-devel >= 1.0.99.901
BuildRequires:  rpmbuild(macros) >= 1.389
%requires_xorg_xserver_xinput
Requires:	xorg-xserver-server >= 1.0.99.901
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X.org input driver for joysticks.

%description -l pl.UTF-8
Sterownik wejściowy X.org dla joysticków.

%prep
%setup -q -n xf86-input-joystick-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/xorg/modules/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog
%attr(755,root,root) %{_libdir}/xorg/modules/input/joystick_drv.so
%{_mandir}/man4/joystick.4*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-driver-input-joystick.spec,v $
Revision 1.26  2009/10/02 09:45:54  arekm
- up to 1.4.99.2

Revision 1.25  2009/10/02 08:26:58  arekm
- release 2

Revision 1.24  2009/09/11 19:19:54  arekm
- up to 1.4.99.1

Revision 1.23  2009/04/20 08:58:09  arekm
- up to 1.4.1

Revision 1.22  2009/02/25 21:49:00  arekm
- up to 1.4.0

Revision 1.21  2009/02/25 21:14:15  arekm
- release 3

Revision 1.20  2008/10/09 12:49:36  hawk
- release 2

Revision 1.19  2008/09/06 12:11:27  arekm
- up to 1.3.3

Revision 1.18  2008/07/01 16:04:40  arekm
- release 2

Revision 1.17  2008-04-28 08:19:14  arekm
- up to 1.3.2

Revision 1.16  2007-12-07 07:16:19  arekm
- up to 1.3.1

Revision 1.15  2007/10/27 17:11:53  arekm
- up to 1.3.0

Revision 1.14  2007/09/06 19:45:55  arekm
- rebuilding for new xserver

Revision 1.13  2007/09/06 16:16:38  arekm
- track xserver input deps

Revision 1.12  2007/08/16 16:51:35  arekm
- up to 1.2.3

Revision 1.11  2007/07/07 23:28:27  qboosh
- updated to 1.2.2

Revision 1.10  2007/04/21 07:27:10  arekm
- up to 1.2.1

Revision 1.9  2007/04/01 10:53:01  arekm
- up to 1.2.0

Revision 1.8  2007/03/14 07:15:56  arekm
- up to 1.1.1

Revision 1.7  2007/02/12 22:09:24  glen
- tabs in preamble

Revision 1.6  2007/02/12 01:06:39  baggins
- converted to UTF-8

Revision 1.5  2006/04/10 13:34:13  qboosh
- updated to 1.1.0

Revision 1.4  2006/01/05 13:34:42  qboosh
- 1.0.0.5 (X11R7.0 release)

Revision 1.3  2005/12/06 15:36:28  qboosh
- 1.0.0.3 (X11R7.0-RC3)

Revision 1.2  2005/11/20 12:22:44  qboosh
- 1.0.0.2 (X11R7.0-RC2)

Revision 1.1  2005/10/28 22:31:39  qboosh
- new
